# Start SNI configuration files rebuild

This function rebuilds the SNI configuration files.

Note:

* You must run this function after you change the SNI status through the UAPI's enable_mail_sni or disable_mail_sni functions.
* Mail SNI is always enabled.
  * Functions that enable Mail SNI succeed with a warning that Mail SNI is always enabled. Functions that disable Mail SNI fail and make no changes.
  * Functions that disable Mail SNI will fail and make no changes.

Important:

 When you disable the _Calendars and Contacts_, _Receive Mail_, _Web Disk_, _Webmail_, and  _Web Server_ roles, the system disables this function.

Endpoint: GET /SSL/rebuild_mail_sni_config
Version: 11.136.0.14
Security: BasicAuth

## Query parameters:

  - `reload_dovecot` (integer)
    Whether to reload the Dovecot service after the system rebuilds
the configuration files.
* 1 - Reload Dovecot.
* 0 - Do not reload Dovecot.
    Enum: 0, 1

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "rebuild_mail_sni_config"

  - `module` (string)
    The name of the module called.
    Example: "SSL"

  - `result` (object)

  - `result.data` (object)

  - `result.data.success` (integer)
    Whether the system rebuilt the configuration files.
* 1 - Configuration files rebuilt.
* 0 - Configuration files not rebuilt.
    Enum: 0, 1

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    * 1 - Success
* 0 - Failed: Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


